Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006076Dwarf FortressDwarf Mode -- Interface, Civilization Listpublic2012-07-07 00:192014-07-25 15:04
Reporternickpeq 
Assigned ToToady One 
PrioritylowSeveritytextReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSWindows 7 64-bitOS Version
Product Version0.34.11 
Target VersionFixed in Version0.40.05 
Summary0006076: Wrong key to View Agreement
DescriptionUnder Civilizations (c), going to a civilization you trade with and Tab-ing to Trade Agreements, the screen indicates Tab to View Agreement but also Tab to change modes. Hitting Tab changes modes. The correct key to View Agreement is Enter.
Steps To ReproduceView trade agreements under civilizations.
Tags0.40.01, civilization screen, Probable Quick Fix, trade, trade agreements, typo
Attached Files

- Relationships
related to 0008371new "Enter: View agreement" and "Tab to change modes" overlap at low resolutions 

-  Notes
(0025434)
thriggle (reporter)
2014-07-09 18:33

This mistake is still present in 0.40.1
(0027440)
Amena Ralikema (reporter)
2014-07-24 12:30

Here's a screenshot demonstrating the problem:
http://imgur.com/39hDzP4 [^]

Needless to say, it's confusing to the user.

- Issue History
Date Modified Username Field Change
2012-07-07 00:19 nickpeq New Issue
2014-07-09 18:33 thriggle Note Added: 0025434
2014-07-09 18:34 thriggle Tag Attached: 0.40.01
2014-07-09 18:34 thriggle Tag Attached: trade
2014-07-09 18:34 thriggle Tag Attached: civilization screen
2014-07-09 18:34 thriggle Tag Attached: trade agreements
2014-07-24 12:30 Amena Ralikema Note Added: 0027440
2014-07-24 12:31 Amena Ralikema Tag Attached: Probable Quick Fix
2014-07-24 12:31 Amena Ralikema Tag Attached: typo
2014-07-25 13:51 lethosor Assigned To => lethosor
2014-07-25 13:51 lethosor Status new => acknowledged
2014-07-25 15:04 Toady One Status acknowledged => resolved
2014-07-25 15:04 Toady One Fixed in Version => Next Version
2014-07-25 15:04 Toady One Resolution open => fixed
2014-07-25 15:04 Toady One Assigned To lethosor => Toady One
2014-09-28 08:47 lethosor Relationship added related to 0008371


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker